package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxZhptInvoiceD;
import com.ruoyi.hywz.entity.po.IdsPO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

/**
 * <p>
 * 【印花税】【智慧平台】发票信息表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-08-23 11:15:50
 */
public interface IAdsMatHyxtStampTaxZhptInvoiceDService extends IService<AdsMatHyxtStampTaxZhptInvoiceD> {

    Page<AdsMatHyxtStampTaxZhptInvoiceD> queryPage(Long pageSize, Long pageNo, AdsMatHyxtStampTaxZhptInvoiceD param);

    void downloadTemplate(HttpServletResponse response);

    void deleteOne(IdsPO param);

    void batchDelete(IdsPO param);

    R importData(MultipartFile file) throws IOException;

    boolean checkIsWarning1(String invoiceNumber);

    int countNum(String orgNo, String date);

}
